case $CONFIG in
    '') . ../conf.sh ;;
esac
echo "Extracting signames.h from system include files"
cat >signames.h <<'!NO!SUBS!'
#ifndef lint
static char snh_Rcs_Id[] =
    "$Header$";
#endif

/*
 * $Log$
 * Revision 1.2  1995/11/27 05:04:12  geoff
 * Change my e-mail address.  Support Nextstep's wierd include hierarchy.
 * Be more flexible about file formats.
 *
 * Revision 1.1  86/11/25  00:40:33  geoff
 * Initial revision
 * 
 */

/*
 * This file was created by the shell script "signames.SH".  Feel free
 * to modify it as you see fit, especially if it has syntax errors
 * because of imperfections in the awk script.  (Also let me,
 * geoff@itcorp.com, know how I blew it).
 */

static char *faults[] = {
!NO!SUBS!
:
: We will create this file by grepping signal.h.  The +2r in the sort
: arranges that comments come first in the case of duplicates
sptab='[ 	]'
sptabs="$sptab$sptab*"
optsp="$sptab*"
if $test $nextstep = define; then
    syssig_h=/usr/include/bsd/sys/signal.h
else
    syssig_h=/usr/include/signal.h
fi
$cat /usr/include/signal.h $syssig_h 2>/dev/null \
  | $grep "^#${optsp}define${sptabs}SIG[A-Z0-9][A-Z0-9]*${sptabs}[0-9][0-9]*$sptabs/" \
    2> /dev/null \
  | $sed "s;^#${optsp}define;;" \
  | $sort +1n -2 +2r -3 \
  | $awk \
    	'{
	if ($3 != "/*"  ||  $NF != "*/"  ||  NF < 5)
	    next
	name = $4
	for (i = 5;  i < NF;  i++)
	    name = name " " $i
	signo = $2 + 0
	signames[signo] = name
	siglabel[signo] = $1
	if (signo > maxsig)
	    maxsig = signo
	}
    END \
	{
	for (signo = 0;  signo <= maxsig;  signo++)
	    {
	    if (signames[signo] == "")
		printf "\"signal %d\"", signo
	    else
		printf "\"%s\"", signames[signo]
	    if (signo < maxsig)
		printf ","
	    printf "\t/* %s */\n", siglabel[signo]
	    }
	printf "};\n"
	}' \
  >>signames.h
